.net framework 4是支持生成和运行下一代应用程序和 xml web services 的内部 windows 组件,很多基于此架构的程序需要它的支持才能够运行。

2010年,microsoft 公司推出了visual studi0 2010,其集成开发环境(ide)的界面被重新设计和组织,变得更加简单明了。visual studi0 2010同时带来了net framework 4.0、microsoft visual studi0 2010ctp(community technology preview,ctp),并且支持开发面向windows7的应用程序。除了microsoft sql server,它还支持ibm db2和oracle数据库

软件语言

多国语言

软件大小

35.28 mb

中文名

微软net架构

授权方式

免费版

软件性质

国外软件

软件分类

系统程序/系统其他

外文名

microsoft. net framework 4.0

软件功能

framework 3.5 sp1

.net framework是microsoft公司开发的全面的、统一的编程模型,用于构建能给用户带来视觉震撼,能无缝和安全通信以及模拟一系列业务流程的应用程序。

.net framework 4与较早的framework版本并行工作。基于早期版本的framework的应用程序将继续在默认目标版本上运行。

net framework 旨在实现下列目标:

*提供一个一致的面向对象的编程环境,而无论对象代码是在本地存储和执行,还是在本地执行但在 internet 上分布,或者是在远程执行的.

*提供一个将软件部署和版本控制冲突最小化的代码执行环境.

*提供一个可提高代码(包括由未知的或不完全受信任的第三方创建的代码)执行安全性的代码执行环境.

*提供一个可消除脚本环境或解释环境的性能问题的代码执行环境.

*使开发人员的经验在面对类型大不相同的应用程序(如基于 windows 的应用程序和基于 web 的应用程序)时保持一致.

*按照工业标准生成所有通信,以确保基于 .net framework 的代码可与任何其他代码集成.

1..net framework 4与framework 3.5 sp1并行工作。在旧版的framework中可以运行的应用程序,将继续能够运行在.net framework 4上。

2.在visual basic和c#语言中有所创新,例如声明lambdas 、隐线continuations 、动态调度、并命名/可选参数等。

3.在实体框架中增加了许多新的功能,通过提高抽象层次,从而简化开发人员的关系数据库的程序。这些新功能包括:持续忽略、poco支持、延迟加载,测试驱动开发的支持、功能模型以及新的linq运营商等。

4.windows workflow(wf)中的改进让开发者能够更好地控制工作流程,具体改进如下:

改善活动规划模型;改进设计体验;一个新的流程建模方式;扩大调色板的活动范围;工作流程规则一体化;新邮件相关的功能。

5..net框架还为基于wf的工作流程提供重大的性能改进:

6.改进windows通讯基础(wcf )构架,例如流服务相关支持,双向通信的持久性等。

7..net框架4还提供了新的wcf功能,例如服务发现、路由器服务、简化配置、rest支持、诊断和性能提升等。

支持的操作系统:

windows 7

windows 7 service pack 1

windows server 2003 service pack 2

windows server 2008

windows server 2008 r2

windows server 2008 r2 sp1

windows vista service pack 1

windows xp service pack 3

windows xp sp3

windows server 2003 sp2

windows vistasp1 或更高版本

windows server 2008(在服务器核心角色上不受支持)

windows 7

windows server 2008 r2(在服务器核心角色上不受支持)

windows 7sp1

windows server 2008 r2 sp1

支持的体系结构:

x86

x64

ia64(有些功能在诸如 wpf 之类的 ia64 上不受支持)

硬件要求:

建议的最低要求:pentium 1 ghz 或更快,512 mb ram 或更大

最小磁盘空间:

x86 – 850 mb

x64 – 2 gb

必备组件:

windows installer 3.1 或更高版本

internet explorer 5.01 或更高版本